Odoo Help

Welcome!

This community is for beginners and experts willing to share their Odoo knowledge. It's not a forum to discuss ideas, but a knowledge base of questions and their answers.

0

Odoo9 demo data error , when creating db with demo

By
wizardz
on 4/29/16, 3:14 AM 741 views

I get this error when I'm creating in Odoo9 a new database with demodata:

Database creation error: "decoder jpeg not available" while parsing
 /opt/odoo/odoo-server/openerp/addons/base/base_demo.xml:38, near
<record id="user_demo" model="res.users"> <field name="partner_id" ref="base.partner_demo"/>
 <field name="login">demo</field> <field name="password">demo</field> <field name="signature">--
Mr Demo</field> <field name="company_id" ref="main_company"/>
<field name="groups_id" eval="[(6,0,[ref('base.group_user'), ref('base.group_partner_manager')])]"/>
 <field name="image" type="base64" file="base/static/img/user_demo-image.jpg"/> </record>



How can I fix that? I used the latest nightly build odoo9...

1

Ray Carnes

--Ray Carnes--
15717
| 9 7 9
Greater Los Angeles, United States
--Ray Carnes--

Senior Odoo Analyst

OpenERP 6.1, 7.0 and Odoo 8.0, 9.0 (Since 2012)

Completed Functional and Technical Training.

Major Skills:

  • Needs Discovery and Requirements Analysis;

  • Function and Technical Specifications;

  • Project Planning;

  • Prototyping and Proof of concepts;

  • Data migration;

  • Configuration & Customization (UI and modules);

  • Integration - data, business logic and service levels;

  • Training and Knowledge transfer;

  • Go Live support;

  • Help desk;

  • Version Migration.

I have over 20 years of experience empowering and enabling users with enterprise information systems that make a real and measurable difference in their ability to proactively manage their businesses and organizations. 

Ray Carnes
On 4/29/16, 3:32 AM

Looks like a missing dependency


Is it Python PIL?

I fixed it with installing those packs: sudo apt-get install python-imaging, sudo apt-get install libjpeg libjpeg-dev libfreetype6 libfreetype6-dev zlib1g-dev, pip install Pillow

wizardz
on 4/30/16, 8:12 AM

Your Answer

Please try to give a substantial answer. If you wanted to comment on the question or answer, just use the commenting tool. Please remember that you can always revise your answers - no need to answer the same question twice. Also, please don't forget to vote - it really helps to select the best questions and answers!

About This Community

This community is for professionals and enthusiasts of our products and services. Read Guidelines

Question tools

1 follower(s)

Stats

Asked: 4/29/16, 3:14 AM
Seen: 741 times
Last updated: 4/29/16, 3:32 AM